SaqSaq Docs

List report jobs

GET
/user/report

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?integer
Default1
Range1 <= value
limit?integer
Default10
Range1 <= value <= 100
status?string
Value in"PENDING" | "PROCESSING" | "COMPLETED" | "FAILED" | "EXPIRED"

Header Parameters

Content-Type*string

Obrigatório em toda chamada Saq.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.saq.processamento.com/v1/user/report" \  -H "Content-Type: application/json"
{
  "total": 9,
  "pages": 3,
  "reports": [
    {
      "id": "5224fd4e-0abb-4498-a79b-9398ea6712ad",
      "status": "COMPLETED",
      "createdAt": "2026-05-06T16:39:52.944Z",
      "updatedAt": "2026-05-06T16:39:53.500Z",
      "expiresAt": "2026-05-13T16:39:52.996Z"
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}